/*
 *  alldata.c
 *  Stereo_Video
 *
 *  Created by David Sweet on 7/8/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "AllData.h"


void AllData_allocateVImageBuffers(AllData *me, ImageBuffer *buffer)
{
	me->vbuff = AllData_allocateVImageBuffer(buffer);
	me->vbuffA = AllData_allocateVImageBuffer(buffer);
	me->vbuffR = AllData_allocateVImageBuffer(buffer);
	me->vbuffG = AllData_allocateVImageBuffer(buffer);
	me->vbuffB = AllData_allocateVImageBuffer(buffer);
}

vImage_Buffer * AllData_allocateVImageBuffer(ImageBuffer *buffer)
{
	struct vImage_Buffer *vbuff = (vImage_Buffer*) malloc(sizeof(vImage_Buffer));
	vbuff->data = malloc(buffer->elemSize*buffer->numElems);
	vbuff->width = buffer->bounds.right - buffer->bounds.left;
	vbuff->height = buffer->bounds.bottom - buffer->bounds.top;
	vbuff->rowBytes = buffer->bytesPerRow;
	return vbuff;
}


AllData* AllData_construct()
{
	AllData *me = (AllData*)malloc(sizeof(AllData));
	me->bDiagnosticVideos = 0;
	me->bPaused = 0;
	me->bAB = 0;
	
	me->pFPS = FPS_construct();
	
	return me;
}