/*
 *  Carbon_utils.h
 *  video_echo3
 *
 *  Created by David Cairns on 3/13/06.
 *  Copyright 2006 David Cairns. All rights reserved.
 *
 */

#ifndef DRC_CARBON_UTILS
#define DRC_CARBON_UTILS

#include <Carbon/Carbon.h>

// Define the character-codes for the arrow keys.
#define kLeftArrowKey 28
#define kRightArrowKey 29
#define kUpArrowKey 30
#define kDownArrowKey 31


char GetCharForUnichar( UniChar *theUniChar );


OSStatus SetupAllEventHandlers( 
	EventHandlerUPP appHandler, 
	EventHandlerUPP keyHandler, 
	EventHandlerUPP mouseHandler, 
	EventLoopTimerUPP timerHandler, 
	WindowRef winRef, 
	IBNibRef sNibRef, 
	long refcon );


#endif // DRC_CARBON_UTILS
