/*
 *  alldata.h
 *  Stereo_Video
 *
 *  Created by David Sweet on 7/8/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef __ALLDATA__
#define __ALLDATA__

#include <Carbon/Carbon.h>
#include <Accelerate/Accelerate.h>

#include "WinData.h"
#include "FrameData.h"
#include "SingleImage.h"
#include "FPS.h"
#include "StereoVideo.h"

struct AllData
{
	WinData *pWinData;
	FrameData *pFrameDataR, *pFrameDataL;
	SingleImage *pSingleImage, *pFoil, *pEdgesL, *pEdgesR;
	vImage_Buffer *vbuff, *vbuffA, *vbuffR, *vbuffG, *vbuffB;

	FPS *pFPS;
	int bDiagnosticVideos, bPaused, bAB;
	StereoVideo *pStereoVideo;
};
typedef struct AllData AllData;


void AllData_allocateVImageBuffers(AllData *me, ImageBuffer *buffer);

AllData* AllData_construct();


//protected;
vImage_Buffer * AllData_allocateVImageBuffer(ImageBuffer *buffer);


#endif


