/*
 *  StereoVideo.h
 *  Stereo_Video
 *
 *  Created by David Sweet on 7/16/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef __STEREOVIDEO__
#define __STEREOVIDEO__

struct StereoVideo
{
	void (*processFrames) (FrameData *pFrameDataLeft, FrameData *pFrameDataRight, bool bAB);
	void (*drawFrames) (bool bDiagnostic, bool bAB);
	
	
};

typedef struct StereoVideo StereoVideo;


OSStatus StereoVideo_construct(StereoVideo *pStereoVideo);
void StereoVideo_displayImage(unsigned texture, ImageBuffer *buffer, int left, int right, int top, int bottom);

#endif

